<section class="form-field">
  <div class="form">
    <form [formGroup]="registerForm">
      <div class="field">
        <div class="control">
          <label for="firstname" class="label">Firstname:</label>
          <input
            name="firstname"
            type="text"
            class="input"
            placeholder="Firstname"
            formControlName="firstname"
          />
        </div>
      </div>

      <div class="field">
        <div class="control">
          <label for="lastname" class="label">Lastname:</label>
          <input
            name="lastname"
            type="text"
            class="input"
            placeholder="Lastname"
            formControlName="lastname"
          />
        </div>
      </div>

      <div class="field">
        <div class="control">
          <label for="email" class="label">Email:</label>
          <input
            name="email"
            type="text"
            class="input"
            placeholder="Email"
            formControlName="email"
          />
        </div>
      </div>

      <div class="field">
        <div class="control">
          <label for="username" class="label">Username:</label>
          <input
            name="username"
            type="text"
            class="input"
            placeholder="Username"
            formControlName="username"
          />
        </div>
      </div>

      <div class="field">
        <div class="control">
          <label for="password" class="label">Password:</label>
          <input
            name="password"
            type="password"
            class="input"
            placeholder="Password"
            formControlName="password"
          />
        </div>
      </div>
      <div class="control">
        <button
          class="button is-primary"
          (click)="registerUser()"
          [disabled]="!registerForm.valid"
          [class.is-disabled]="!registerForm.valid"
        >
          Register
        </button>
      </div>
    </form>
  </div>
</section>
